summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Niklas Nille Åkerström <Nille.kungen[AT]gmail.com>2010-05-13 00:34:12 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:34:12 +0200
commit99c72788847da7bd3aa87dbfeb64dacedb1a69df (patch)
treec76120ce813db182b5ba3b1923836633f2145b70
parenta9dda31a8c8807dae28a4a9cdb6bc1d8e800aeff (diff)
downloadslackbuilds-99c72788847da7bd3aa87dbfeb64dacedb1a69df.tar.gz
slackbuilds-99c72788847da7bd3aa87dbfeb64dacedb1a69df.tar.xz
misc/flashrom: Updated for version 0.9.1
-rw-r--r--misc/flashrom/flashrom.SlackBuild19
-rw-r--r--misc/flashrom/flashrom.info12
-rw-r--r--misc/flashrom/slack-desc2
3 files changed, 18 insertions, 15 deletions
diff --git a/misc/flashrom/flashrom.SlackBuild b/misc/flashrom/flashrom.SlackBuild
index e70a1767f2..354607a300 100644
--- a/misc/flashrom/flashrom.SlackBuild
+++ b/misc/flashrom/flashrom.SlackBuild
@@ -25,7 +25,7 @@
# Modified by SlackBuilds.org
PRGNAM=flashrom
-VERSION=0.9.0
+VERSION=0.9.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -56,24 +56,25 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-#Set right man path in Makefile
-sed -i 's/\/share//' Makefile
-#create $(PREFIX)/sbin so the flashrom can be installed
-sed -i '/install:/ a\\tmkdir -p $(PREFIX)/sbin' Makefile
make CFLAGS="$SLKCFLAGS -Wall -Werror" || exit 1
-make install PREFIX=$PKG/usr || exit 1
+make install PREFIX=$PKG/usr MANDIR=$PKG/usr/man || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING README serprog-protocol.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
if [ "$1" = "--cleanup" ]; then
rm -rf $PKG $TMP/$PRGNAM-$VERSION
-fi
+fi \ No newline at end of file
diff --git a/misc/flashrom/flashrom.info b/misc/flashrom/flashrom.info
index 82dbbf1d61..53975998e3 100644
--- a/misc/flashrom/flashrom.info
+++ b/misc/flashrom/flashrom.info
@@ -1,8 +1,10 @@
PRGNAM="flashrom"
-VERSION="0.9.0"
+VERSION="0.9.1"
HOMEPAGE="http://www.coreboot.org/Flashrom"
-DOWNLOAD="http://qa.coreboot.org/releases/flashrom-0.9.0.tar.bz2"
-MD5SUM="e9953bc012b07ce20e83f253e5199c2a"
-MAINTAINER="Niklas "Nille" kerstrm"
+DOWNLOAD="http://qa.coreboot.org/releases/flashrom-0.9.1.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="2b7cc0e45a0ac4c6d43c0f7cd05b041a"
+MD5SUM_x86_64=""
+MAINTAINER="Niklas 'Nille' kerstrm"
EMAIL="Nille.kungen[AT]gmail.com"
-APPROVED="pprkut"
+APPROVED="dsomero"
diff --git a/misc/flashrom/slack-desc b/misc/flashrom/slack-desc
index 2b39ce1bef..e3f464d38e 100644
--- a/misc/flashrom/slack-desc
+++ b/misc/flashrom/slack-desc
@@ -16,4 +16,4 @@ flashrom:
flashrom: homepage: http://www.coreboot.org/Flashrom
flashrom:
flashrom:
-flashrom: \ No newline at end of file
+flashrom: